#
# Copyright (c) 2008-2017 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'

from onf_website import _
from pyams_content.component.paragraph.interfaces.verbatim import IVerbatimParagraph
from pyams_content.features.renderer.interfaces import IContentRenderer
from pyams_default_theme.component.paragraph.verbatim import DefaultVerbatimParagraphRenderer, \
    LeftVerbatimParagraphRenderer, RightVerbatimParagraphRenderer
from pyams_skin.layer import IPyAMSLayer
from pyams_template.template import template_config
from pyams_utils.adapter import adapter_config


#
# Verbatim paragraph default renderer
#

@adapter_config(name='default', context=(IVerbatimParagraph, IPyAMSLayer), provides=IContentRenderer)
@template_config(template='templates/verbatim-default.pt', layer=IPyAMSLayer)
class ONFDefaultVerbatimParagraphRenderer(DefaultVerbatimParagraphRenderer):
    """Verbatim paragraph default renderer"""

    label = _("ONF: Default verbatim renderer")
    weight = 1

    settings_interface = None


@adapter_config(name='left', context=(IVerbatimParagraph, IPyAMSLayer), provides=IContentRenderer)
@template_config(template='templates/verbatim-left.pt', layer=IPyAMSLayer)
class ONFLeftVerbatimParagraphRenderer(LeftVerbatimParagraphRenderer):
    """Verbatim paragraph default renderer"""

    label = _("ONF: Left verbatim renderer")
    weight = 2


@adapter_config(name='right', context=(IVerbatimParagraph, IPyAMSLayer), provides=IContentRenderer)
@template_config(template='templates/verbatim-right.pt', layer=IPyAMSLayer)
class ONFRightVerbatimParagraphRenderer(RightVerbatimParagraphRenderer):
    """Verbatim paragraph default renderer"""

    label = _("ONF: Right verbatim renderer")
    weight = 3
